<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Состояния ссылок</title>
	<style>
		.style-list {

		}
		.list-item {

		}
		.link {

		}
		.link:link { color: red; text-decoration: none; border: 1px solid transparent; }
		.link:visited { color: yellow; }
		.link:focus { color: blue; text-decoration: underline; border: 1px solid blue; outline: none; }
		.link:hover { color: blueviolet; text-decoration: underline; }
		.link:active { color: darkblue; border: 5px solid darkblue; }
	</style>
</head>
<body>
<ul class="style-list">
	<li class="list-item"><a class="link" href="#">Home </a></li>
	<li class="list-item"><a class="link" href="#">Architecture design</a></li>
	<li class="list-item"><a class="link" href="#">Strange Buildings</a></li>
	<li class="list-item"><a class="link" href="#">MAGAZINE</a></li>
	<li class="list-item"><a class="link" href="#">BLOG</a></li>
	<li class="list-item"><a class="link" href="#">NEWS</a></li>
</ul>
</body>
</html>